package de.intevation.flys.importer;

import java.sql.SQLException;

import org.apache.log4j.Logger;

import org.hibernate.exception.ConstraintViolationException;

import de.intevation.flys.model.SQRelation;
import de.intevation.flys.model.SQRelationValue;


public class ImportSQRelationValue {

    private static Logger log = Logger.getLogger(ImportSQRelationValue.class);


    private SQRelationValue peer;

    private String parameter;
    private String fraction;
    private String function;

    private double km;
    private double a;
    private double b;


    public ImportSQRelationValue(
        String parameter,
        String fraction,
        String function,
        double km,
        double a,
        double b
    ) {
        this.parameter = parameter;
        this.fraction  = fraction;
        this.function  = function;
        this.km        = km;
        this.a         = a;
        this.b         = b;
    }


    public void storeDependencies(SQRelation owner)
    throws SQLException, ConstraintViolationException
    {
        log.info("store dependencies");
        log.warn("TODO: IMPLEMENT 'storeDependencies()'");
    }


    public SQRelationValue getPeer() {
        log.debug("getPeer()");

        if (peer == null) {
            // TODO
        }

        return peer;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
