package de.intevation.flys.importer;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import org.hibernate.exception.ConstraintViolationException;

import de.intevation.flys.model.River;
import de.intevation.flys.model.SQRelation;


public class ImportSQRelation {

    private static Logger log = Logger.getLogger(ImportSQRelation.class);


    private ImportTimeInterval timeInterval;

    private List<ImportSQRelationValue> values;

    private SQRelation peer;


    public ImportSQRelation() {
        this.values = new ArrayList<ImportSQRelationValue>();
    }


    public void storeDependencies(River river)
    throws SQLException, ConstraintViolationException
    {
        log.info("store dependencies");
        log.warn("TODO: IMPLEMENT 'storeDependencies()'");
    }


    public SQRelation getPeer() {
        log.debug("getPeer()");

        if (peer == null) {
            // TODO
        }

        return peer;
    }


    public void setTimeInterval(ImportTimeInterval timeInterval) {
        this.timeInterval = timeInterval;
    }


    public void addValue(ImportSQRelationValue value) {
        if (value != null) {
            this.values.add(value);
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
